BLK_QUEUE_ALIGNMENT_(9)

NAME
blk_queue_alignment_offset - set physical block alignment offset

SYNOPSIS

void blk_queue_alignment_offset(struct request_queue * q, unsigned int offset);

ARGUMENTS

q
    the request queue for the device

offset
    alignment offset in bytes

DESCRIPTION

Some devices are naturally misaligned to compensate for things like the legacy DOS partition table 63-sector offset. Low-level drivers should call this function for devices whose first sector is not naturally aligned.

COPYRIGHT